package com.ifish.dto;

import java.math.BigDecimal;

import com.ifish.enums.BooleanEnum;

/**
 * 用户资产信息(金币,经验值等)
 * @author Administrator
 *
 */
public class UserAssetDto {

	/**
	 * 经验值
	 */
	private Integer gradeValue;
	/**
	 * 等级
	 */
	private Integer gradeNum;
	/**
	 * 等级名称
	 */
	private String gradeName;
	/**
	 * 金币
	 */
	private BigDecimal goldValue;
	/**
	 * 今天是否签到
	 */
	private String toDaySignin;

	/**
	 * 连续签到天数
	 */
	private Integer keepSigninNum;

	/**
	 * 最后一次登陆日期
	 */
	private String lastLoginDate;
	/**
	 * 是否砸过金蛋(默认砸过)
	 */
	private String isHitGoldenEgg;

	/**
	 * 所加经验值
	 */
	private BigDecimal addValue;


	public UserAssetDto() {
		this.gradeValue = 0;
		this.gradeNum = 7;
		this.gradeName = "海龙王";
		this.goldValue = new BigDecimal(0);
		this.toDaySignin = BooleanEnum.NO.getKey();
		this.keepSigninNum = 0;
		this.lastLoginDate = "";
		this.isHitGoldenEgg = BooleanEnum.YES.getKey();
		this.addValue = new BigDecimal(0);
	}

	public Integer getGradeValue() {
		return gradeValue;
	}

	public void setGradeValue(Integer gradeValue) {
		this.gradeValue = gradeValue;
	}

	public Integer getGradeNum() {
		return gradeNum;
	}

	public void setGradeNum(Integer gradeNum) {
		this.gradeNum = gradeNum;
	}

	public String getGradeName() {
		return gradeName;
	}

	public void setGradeName(String gradeName) {
		this.gradeName = gradeName;
	}

	public BigDecimal getGoldValue() {
		return goldValue;
	}

	public void setGoldValue(BigDecimal goldValue) {
		this.goldValue = goldValue;
	}

	public String getToDaySignin() {
		return toDaySignin;
	}

	public void setToDaySignin(String toDaySignin) {
		this.toDaySignin = toDaySignin;
	}

	public Integer getKeepSigninNum() {
		return keepSigninNum;
	}

	public void setKeepSigninNum(Integer keepSigninNum) {
		this.keepSigninNum = keepSigninNum;
	}

	public String getLastLoginDate() {
		return lastLoginDate;
	}

	public void setLastLoginDate(String lastLoginDate) {
		this.lastLoginDate = lastLoginDate;
	}

	public String getIsHitGoldenEgg() {
		return isHitGoldenEgg;
	}

	public void setIsHitGoldenEgg(String isHitGoldenEgg) {
		this.isHitGoldenEgg = isHitGoldenEgg;
	}

	public BigDecimal getAddValue() {
		return addValue;
	}

	public void setAddValue(BigDecimal addValue) {
		this.addValue = addValue;
	}

}
